Skip to main content
PATCH
/
tracking_requests
/
{id}
Edit a tracking request
curl --request PATCH \
  --url https://api.terminal49.com/v2/tracking_requests/{id} \
  --header 'Authorization: <api-key>' \
  --header 'Content-Type: application/json' \
  --data '{}'
{
  "data": {
    "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
    "attributes": {
      "request_number": "ONEYSH9AME650500",
      "request_type": "bill_of_lading",
      "scac": "ONEY",
      "created_at": "2023-11-07T05:31:56Z",
      "ref_numbers": [
        "<string>"
      ],
      "tags": [
        "<string>"
      ],
      "updated_at": "2023-11-07T05:31:56Z",
      "is_retrying": true,
      "retry_count": 123
    },
    "relationships": {
      "tracked_object": {
        "data": {
          "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
        }
      },
      "customer": {
        "data": {
          "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
        }
      }
    }
  }
}

Documentation Index

Fetch the complete documentation index at: https://terminal49-codex-docs-audit-diataxis-skill.mintlify.app/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

Authorization
string
header
required

Use a Terminal49 API key in the Authorization header with the Token prefix.

Authorization: Token YOUR_API_KEY

Path Parameters

id
string
required

Tracking Request ID

Body

application/json
data
object

Response

200 - application/json

OK

data
Tracking Request ยท object